package db

import (
	"github.com/gshopify/service-wrapper/model"
	"gshopper.com/gshopify/shop/graphql/generated"
	"time"
)

const (
	cacheTimeout  = time.Hour
	cacheCapacity = 4096
)

type Database interface {
	Ping() error
	Close() error

	Location(ln model.LanguageCode, id string) (*generated.Location, error)
}
